{% extends 'base.html' %}

{% block title %}Login{% endblock %}

{% block content %}

<div class="row mt-3">

    <div class="col-5 mx-auto">
        <p style="font-family: 'Brush Script MT', cursive; font-size:35px;" class="my-3">Login</p>
        <form method="post"> 

            {% if form.non_field_errors %}
                {% for err in form.non_field_errors %}
                    <p style="color:red;">{{ err }}</p>
                {% endfor %}
            {% endif %}

            {% csrf_token %}
            {% for field in form %}
               <p> {{ field.label_tag }} {{ field}} <span style="color:red;">{{ field.errors|striptags }}</span></p>
            {% endfor %}
            <input type="submit" value="Login" class="btn btn-success">
        </form>
        <p class="mt-2">Do not have an account? <a href="{% url 'signup' %}">signup here</a></p>
    </div>

</div>


{% endblock %}